#ifndef MEM_BROKER_H
#define MEM_BROKER_H
#include <stdint.h>
void *MemBroker_GetMemory(uint32_t size, uint32_t align);
void  MemBroker_FreeMemory(void *ptr);
void  MemBroker_Init(void);
void  MemBroker_Deinit(void);
void *MemBroker_GetPhysAddr(void *virt_addr);
void  MemBroker_CacheInvalidate(void *addr, uint32_t size);
void  MemBroker_CacheCopyBack(void *addr, uint32_t size);
void  MemBroker_CacheFlush(void *addr, uint32_t size);
#endif
